Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class ButtonListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.ButtonListenerAdapter

All Implemented Interfaces:
  ButtonListener, ComponentListener

Direct Known Subclasses:
  SplitButtonListenerAdapter

    public class ButtonListenerAdapter

extends ComponentListenerAdapter
implements ButtonListener

Constructor Summary
`ButtonListenerAdapter()`

Method Summary
`void` | `onClick(Button button, EventObject e)` Fires when this button is clicked
`void` | `onMenuHide(Button button, Menu menu)` If this button has a menu, this event fires when it is hidden.
`void` | `onMenuShow(Button button, Menu menu)` If this button has a menu, this event fires when it is shown.
`void` | `onMenuTriggerOut(Button button, Menu menu, EventObject e)` If this button has a menu, this event fires when the mouse leaves the menu triggering element.
`void` | `onMenuTriggerOver(Button button, Menu menu, EventObject e)` If this button has a menu, this event fires when the mouse enters the menu triggering element.
`void` | `onMouseOut(Button button, EventObject e)` Fires when the mouse exits the button.
`void` | `onMouseOver(Button button, EventObject e)` Fires when the mouse hovers over the button.
`void` | `onToggle(Button button, boolean pressed)` Fires when the "pressed" state of this button changes (only if enableToggle = true).

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### ButtonListenerAdapter

    public ButtonListenerAdapter()

Method Detail

### onClick

    public void onClick(Button button,
                        EventObject e)

  Description copied from interface: `ButtonListener`
  Fires when this button is clicked

  Specified by:
    `onClick` in interface `ButtonListener`
  Parameters:
    `button` - this
    `e` - the event object

### onMenuHide

    public void onMenuHide(Button button,
                           Menu menu)

  Description copied from interface: `ButtonListener`
  If this button has a menu, this event fires when it is hidden.

  Specified by:
    `onMenuHide` in interface `ButtonListener`
  Parameters:
    `button` - his
    `menu` - the menu

### onMenuShow

    public void onMenuShow(Button button,
                           Menu menu)

  Description copied from interface: `ButtonListener`
  If this button has a menu, this event fires when it is shown.

  Specified by:
    `onMenuShow` in interface `ButtonListener`
  Parameters:
    `button` - this
    `menu` - the menu

### onMenuTriggerOut

    public void onMenuTriggerOut(Button button,
                                 Menu menu,
                                 EventObject e)

  Description copied from interface: `ButtonListener`
  If this button has a menu, this event fires when the mouse leaves the menu triggering element.

  Specified by:
    `onMenuTriggerOut` in interface `ButtonListener`
  Parameters:
    `button` - this
    `menu` - the menu
    `e` - the event

### onMenuTriggerOver

    public void onMenuTriggerOver(Button button,
                                  Menu menu,
                                  EventObject e)

  Description copied from interface: `ButtonListener`
  If this button has a menu, this event fires when the mouse enters the menu triggering element.

  Specified by:
    `onMenuTriggerOver` in interface `ButtonListener`
  Parameters:
    `button` - this
    `menu` - the menu
    `e` - the event

### onMouseOut

    public void onMouseOut(Button button,
                           EventObject e)

  Description copied from interface: `ButtonListener`
  Fires when the mouse exits the button.

  Specified by:
    `onMouseOut` in interface `ButtonListener`
  Parameters:
    `button` - this
    `e` - the event object

### onMouseOver

    public void onMouseOver(Button button,
                            EventObject e)

  Description copied from interface: `ButtonListener`
  Fires when the mouse hovers over the button.

  Specified by:
    `onMouseOver` in interface `ButtonListener`
  Parameters:
    `button` - this
    `e` - the event object

### onToggle

    public void onToggle(Button button,
                         boolean pressed)

  Description copied from interface: `ButtonListener`
  Fires when the "pressed" state of this button changes (only if enableToggle = true).

  Specified by:
    `onToggle` in interface `ButtonListener`
  Parameters:
    `button` - this
    `pressed` - true if pressed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD